class DeleteJournalsMessage < ActiveRecord::Migration
  def up
    count = JournalsForMessage.all.count / 30 + 2
    transaction do
      for i in 1 ... count do
        JournalsForMessage.page(i).per(30).each do |message|
          if !message.m_parent_id.nil? and message.parent.nil?
            message.destroy
          end
        end
      end
    end
  end

  def down
  end
end
